Provable Markets

ContractRequestEventsService

ContractRequestAccepted

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestEventsService/ContractRequestAccepted

SecurityBearer
Request
Request Body schema: application/json
required
display_id
required
string

Display id (persistent contract request id inside Aurora system)

request_id
required
string

User populated id of the request this response is for

status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRequestCanceled

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestEventsService/ContractRequestCanceled

SecurityBearer
Request
Request Body schema: application/json
required
display_id
required
string

Display id (persistent contract request id inside Aurora system)

request_id
required
string

User populated id of the request this response is for

status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRequestDeclined

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestEventsService/ContractRequestDeclined

SecurityBearer
Request
Request Body schema: application/json
required
display_id
required
string

Display id (persistent contract request id inside Aurora system)

request_id
required
string

User populated id of the request this response is for

status
required
string (aurora.core.consts.contractrequest.ContractRequestStatus)

possible states in the lifecycle of a contract request

Enum: "PENDING" "ACCEPTED" "REJECTED" "EXPIRED" "CANCELED" "AUTOMATCHED"
Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }

ContractRequestOpened

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestEventsService/ContractRequestOpened

SecurityBearer
Request
Request Body schema: application/json
required
required
object (aurora.core.apiengine.contractrequestsv1.ContractRequestResponse)

Fields: request_id, side, counterparty_id, quantity, rounding_rule, display_id, status, comment, rate_details, collateral_rate, instrument, contract_id, contract_display_id, is_pre_established, settlement_type

request_id
required
string

User populated id of the request this response is for

Responses
200

A successful response

Response Schema: application/json
object (google.protobuf.Empty)

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }